Orvelt

Create a question

POST
/project/{projectId}/questions

Add a guided question to a project.

API-key permission: questions create. Business sessions and resource-authorized OAuth tokens are also supported.

Authorization

cookieorvelt-biz.session_token<token>

An existing Business session. Browser requests must also pass origin and CSRF checks.

Path Parameters

projectId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Request Body

application/json
  1. body
tags?array<>
Items1 <= items
isAutoTags?boolean

Defaults to true when tags are omitted. Sending tags selects manual tagging.

priority?integer
Range1 <= value <= 100
Default50
isAutoPriority?boolean
Defaulttrue
question*string
Length1 <= length <= 500
answerMode*string
Value in"text_only""single_select""multi_select"
answers?
Default{}
status*string
Value in"active""archived"
responseVisibility*string

Whether answers can appear with the customer’s published opinion. Set when the question is created; it cannot be changed.

Value in"default""private"

Response Body

OK

application/json
  1. response
question*
Example Request
curl -X POST 'https://api.orvelt.com/v1/project/497f6eca-6276-4993-bfeb-53cbbbba6f08/questions' \
  -H 'Content-Type: application/json' \
  -d '{
  "question": "string",
  "answerMode": "text_only",
  "status": "active",
  "responseVisibility": "default"
}'
Example Response
{
  "question": {
    "id": "string",
    "familyId": "44b97bbb-267f-4989-8ce2-585694b2e454",
    "version": 1,
    "question": "string",
    "answerMode": "text_only",
    "answers": {
      "options": [
        {
          "id": "string",
          "option": "string",
          "description": "string"
        },
        {
          "id": "string",
          "option": "string",
          "description": "string"
        }
      ],
      "allowOther": true,
      "skippable": true,
      "layout": "inline",
      "chipPosition": "left",
      "otherPlaceholder": "string",
      "freeTextPlaceholder": "string",
      "freeTextMultiline": true
    },
    "tags": [
      "Trust"
    ],
    "priority": 1,
    "isAutoPriority": true,
    "isAutoTags": true,
    "status": "active",
    "responseVisibility": "default",
    "createdAt": "2019-08-24T14:15:22Z"
  }
}